package com.rv.im.bean;

import java.util.List;

public class LastChatHistoryListBean{

    private long currentTime;
    private List<ChatHistoryItem> data;
    private int resultCode ;

    public long getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(long currentTime) {
        this.currentTime = currentTime;
    }

    public List<ChatHistoryItem> getData() {
        return data;
    }

    public void setData(List<ChatHistoryItem> data) {
        this.data = data;
    }

    public int getResultCode() {
        return resultCode;
    }

    public void setResultCode(int resultCode) {
        this.resultCode = resultCode;
    }

    public class ChatHistoryItem {
        private String _id ;
        private String jid;
        private String userId ;
        private int type ;
        private String messageId;// 消息id
        private long timeSend;
        private String content;
        private int isRoom;
        private int isEncrypt;

        private String from;
        private String fromUserName;
        private String to;
        private String toUserName;

        public String get_id() {
            return _id;
        }

        public void set_id(String _id) {
            this._id = _id;
        }

        public String getJid() {
            return jid;
        }

        public void setJid(String jid) {
            this.jid = jid;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getMessageId() {
            return messageId;
        }

        public void setMessageId(String messageId) {
            this.messageId = messageId;
        }

        public long getTimeSend() {
            return timeSend;
        }

        public void setTimeSend(long timeSend) {
            this.timeSend = timeSend;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public int getIsRoom() {
            return isRoom;
        }

        public void setIsRoom(int isRoom) {
            this.isRoom = isRoom;
        }

        public int getIsEncrypt() {
            return isEncrypt;
        }

        public void setIsEncrypt(int isEncrypt) {
            this.isEncrypt = isEncrypt;
        }

        public String getFrom() {
            return from;
        }

        public void setFrom(String from) {
            this.from = from;
        }

        public String getFromUserName() {
            return fromUserName;
        }

        public void setFromUserName(String fromUserName) {
            this.fromUserName = fromUserName;
        }

        public String getTo() {
            return to;
        }

        public void setTo(String to) {
            this.to = to;
        }

        public String getToUserName() {
            return toUserName;
        }

        public void setToUserName(String toUserName) {
            this.toUserName = toUserName;
        }
    }
}
